Can't login to Station: SSO / 2FA not supported (Duo, OneLogin, Okta, RapidIdentity, Google, etc.)

⚙️in-roadmap

#21

Unfortunately I am having the exact same issue, also on the latest Mac version and Station version when trying to login to an account that is protected with OneLogin 2FA


(Jack Goddu) #22

SOLUTION for ONELOGIN users: log in w/personal gmail, then add slack work acct and onelogin should let you get in that way - click remember browser and then when you add work acct as secondary gmail, it will let you add it w/out the error. then you can turn off personal gmail in gmail/drive/cal and just use work one.


(Sam Yong) #23

It seems like Station is using an outdated version of Chrome. My Duologin requires me to have the latest version of Chrome installed. :frowning:


(Sam Yong) #24


#25

Anyone figure out a solution for Duo users?


(Julien Berthomier) #26

@kennymac9 @sam_yong @Jack_Goddu @Youcke @jlahne

We are in the process of implementing the new version of Electron (the open-source framework we use to build Station). The 3.0 version should be ready next month and it should solve the “Chrome is out of date” issue.

Stay tuned!


(Cameron White) #27

Do you have reason to expect this will resolve the total absence of the two factor interface (duo) as opposed to just those receiving out of date chrome issues?


(Julien Berthomier) #28

It’s possible if instead of getting the Duo interface you get the “Chrome is out of date” error. But we can’t guarantee it. Let’s see once Electron 3.0 is implemented.


(Kenny Goldman) #29

My Gmail Admin turned on 2-factor authentication and now Station won’t allow me to login to Gmail. I tried on Chrome and it worked no problem.


(Goutham Ramkumar) #30

anyone find a solution to this ? Station is unusable for me because of this.


(Goutham Ramkumar) #31

Is this ready ? Station is completely unusable for me due to this.